()

NAME

pmem2_config_set_required_store_granularity() - set a granularity in pmem2_config structure.

SYNOPSIS

    #include <libpmem2.h>

    enum pmem2_granularity {
        PMEM2_GRANULARITY_BYTE,
        PMEM2_GRANULARITY_CACHE_LINE,
        PMEM2_GRANULARITY_PAGE,
    };
    int pmem2_config_set_required_store_granularity(struct pmem2_config *cfg,
            enum pmem2_granularity g);

DESCRIPTION

The pmem2_config_set_required_store_granularity() sets a maximum permitted granularity g requested by user in the pmem2_config structure.

Granularity must be one of the following values:

•   PMEM2_GRANULARITY_BYTE

•   PMEM2_GRANULARITY_CACHE_LINE

•   PMEM2_GRANULARITY_PAGE

A description of the granularity concept can be found in libpmem2(7) manpage.

RETURN VALUE

The pmem2_config_set_required_store_granularity() function returns 0 on success or a negative error code on failure.

ERRORS

The pmem2_config_set_required_store_granularity() can fail with the following errors:

•   PMEM2_E_GRANULARITY_NOT_SUPPORTED - granularity g is not a valid value.

SEE ALSO

pmem2_config_new(3), libpmem2(7) and <https://pmem.io>